.container {
    width: 80%;
    margin: auto;
    padding: 4rem 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 1rem;
    flex-wrap: wrap;
}

.logo {
    display: flex;
    width: 20rem;
    height: auto;
    align-items: center;
    gap: 10rem;
}

.logo p {
    width: 100%;
}

.logo p a {
    display: block;
    width: 100%;
    height: 100%;
    text-align: center;
    text-decoration: none;
    color: #fff;
    font-size: 4rem;
    font-weight: 500;
}

.logo p a:hover {
    background: linear-gradient(to right, #07c8f9ff, #09a6f3ff, #0a85edff, #0c63e7ff, #0d41e1ff);
    background-clip: text;
    color: transparent;
    transition: 0.4s;
}   

.navbar {
    width: 50%;
    display: flex;
    justify-content: center;
    z-index: 1;
}


/************************************* DESKTOP MEDIA  ****************************/

@media (min-width: 1025px) {
    .mobile {
        display: none;
    }

    .navbar ul {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        list-style: none;
        align-items: center;
        width: 100%;
        height: 100%;
        gap: 2rem;
    }
    
    
    .navbar ul li a {
        display: block;
        height: 100%;
        text-align: center;
        font-size: 2rem;
        text-decoration: none;
        font-weight: 500;
        color: #fff;
        position: relative;
    }

    .navbar ul li a::after {
        content: '';
        width: 0;
        height: 0.2rem;
        background: linear-gradient(to right, #07c8f9ff, #09a6f3ff, #0a85edff, #0c63e7ff, #0d41e1ff);
        position: absolute;
        bottom: -0.2rem;
        left: 0;
        border-radius: 2rem;
        transition: all 0.4s ease-in-out;
    }

    .navbar ul li a:hover::after {
        width: 100%;
    }

    .navbar ul li:last-child a::after {
        display: none;
    }
    
    .navbar ul li a:hover {
        background: linear-gradient(to right, #07c8f9ff, #09a6f3ff, #0a85edff, #0c63e7ff, #0d41e1ff);
        background-clip: text;
        color: transparent;
        transition: 0.4s;
    }

    .navbar ul li:last-child {
        display: block;
        padding: 1rem 2rem;
        width: 12rem;
        height: 4.4rem;
        background-color: #044458;
        border-radius: 2rem;
        position: relative;
        top: 0;
    }
    
    @property --angle {
        syntax: "<angle>";
        initial-value: 0deg;
        inherits: false;
    }
    
    .navbar ul li:last-child::after, .navbar ul li:last-child::before {
        content: '';
        position: absolute;
        height: 100%;
        width: 100%;
        top: 50%;
        left: 50%;
        translate: -50% -50%;
        z-index: -1;
        padding: 0.3rem;
        border-radius: 2rem;
        background-image: conic-gradient( from var(--angle), #07c8f9ff, #09a6f3ff, #0a85edff, #0c63e7ff, #0d41e1ff, #07c8f9ff);
        animation: 3s spin linear infinite;
    }
    
    .navbar ul li:last-child::before {
        filter: blur(1.5rem);
        opacity: 0.7;
    }
    
    @keyframes spin {
        from {
            --angle: 0deg;
        }
        to {
            --angle: 360deg;
        }
    }
}

/*************************** MOBILE MEDIA  *****************************************/

@media (max-width: 1024px) {
    .desktop {
        display: none;
    }

    .container {
        width: 100%;
        padding: 2rem 1rem; 
    }

    .navbar {
        width: 100vw;
        height: 100vh;
        background: linear-gradient(135deg, rgba(7, 200, 249, 0.5), rgba(9, 165, 243, 0.5), rgba(10, 133, 237, 0.5), rgba(12, 99, 231, 0.5), rgba(13, 65, 225, 0.5));
        visibility: hidden;
        opacity: 0;
        justify-content: center;
        position: fixed;
        top: 0;
        right: 0;
        transform: translateX(100%);
        transition: transform 0.3s ease-in-out;
    }

    .navbar ul {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        list-style: none;
        text-align: center;
        width: 100%;
        height: 100%;
    }

    .navbar ul li a {
        text-decoration: none;
        display: block;
        color: white;
        font-size: 3.2rem;
        font-weight: 500;
        transition: .3s ease-in-out;
    }

    .navbar ul li a:hover {
        color: rgba(19, 26, 37, 0.575);
    }

    .navbar.active {
        transform: translateX(0);
        backdrop-filter: blur(8px);
        -webkit-backdrop-filter: blur(8px);
        display: flex;
        visibility: visible;
        opacity: 1;
        pointer-events: auto;
    }

    .navbar:not(.active) {
         opacity: 0; 
        visibility: hidden; 
        transform: translateX(100%);
        pointer-events: none;
        transition: 0.5s ease-in-out;
    }

    .burger {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: 3.5rem;
        width: 3.5rem;
        background: transparent;
        border: none;
        align-items: flex-end;
        cursor: pointer;
        position: relative;
        transition: all 0.5s ease-in-out;
    }

    .burger span {
        border-radius: 0.5rem;
        width: 100%;
        height: 0.5rem;
        background: linear-gradient(90deg, #07c8f9ff, #09a6f3ff, #0a85edff, #0c63e7ff, #0d41e1ff);
        transition: all 0.5s ease-in-out;
    }

    .burger span:nth-child(2) {
        width: 80%;
    }

    .burger.active {
        z-index: 10;
    }

    .burger.active > span {
        background: #fff;
    }

    .burger.active > span:nth-child(1) {
        transform: rotate(-45deg) translateY(1rem) translateX(-0.25rem);
        position: relative;
    }

    .burger.active > span:nth-child(2) {
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.3s ease-in-out;
    }
    
    .burger.active > span:nth-child(3) {
        transform: rotate(45deg) translateY(-1rem) translateX(-0.2rem);
        width: 100%;
        position: relative;
    }
}

